Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit.addon.compliance.PDFACompliance Class Reference
Inheritance diagram for foxit.addon.compliance.PDFACompliance:

## Public Types
enum | Version { Version.e_VersionPDFA1a = 1, Version.e_VersionPDFA1b = 2, Version.e_VersionPDFA2a = 3, Version.e_VersionPDFA2b = 4, Version.e_VersionPDFA2u = 5, Version.e_VersionPDFA3a = 6, Version.e_VersionPDFA3b = 7, Version.e_VersionPDFA3u = 8, Version.e_VersionPDFA1bWithoutFBC = 9, Version.e_VersionPDFA2bWithoutFBC = 10, Version.e_VersionPDFA3bWithoutFBC = 11 }
| Enumeration for PDF/A version. More...

## Public Member Functions
| PDFACompliance ()
| Constructor.
| PDFACompliance (PDFACompliance other)
| Constructor, with another PDF/A compliance object. More...
ResultInformation | ConvertPDFFile (string src_pdf_path, string saved_pdf_path, PDFACompliance.Version convert_to_version, ProgressCallback progress_callback)
| Convert a PDF file with specified PDF/A version. More...
ResultInformation | ConvertPDFFile (string src_pdf_path, string saved_pdf_path, PDFACompliance.Version convert_to_version, ComplianceEngine.ViewOrPrintCondition view_or_print_condition, bool convert_problem_pages_into_image, bool convert_all_pages_into_image, int image_resolution, ProgressCallback progress_callback)
| Convert a PDF file with specified PDF/A version. More...
bool | IsEmpty ()
| Check whether current object is empty or not. More...
ResultInformation | Verify (PDFACompliance.Version verify_version, string src_pdf_path, int first_page_index, int last_page_index, ProgressCallback progress_callback)
| Verify a PDF file with specified PDF/A version. More...

## Detailed Description

This class can be used for PDF/A compliance verification or converting a PDF file to a PDF/A format. Please ensure ComplianceEngine has been initialized successfully.

See also
  ComplianceEngine

## Member Enumeration Documentation

## ◆ Version

enum foxit.addon.compliance.PDFACompliance.Version
| strong

Enumeration for PDF/A version.

Values of this enumeration should be used alone.

Enumerator
e_VersionPDFA1a | PDF/A-1a.
e_VersionPDFA1b | PDF/A-1b.
e_VersionPDFA2a | PDF/A-2a.
e_VersionPDFA2b | PDF/A-2b.
e_VersionPDFA2u | PDF/A-2u.
e_VersionPDFA3a | PDF/A-3a.
e_VersionPDFA3b | PDF/A-3b.
e_VersionPDFA3u | PDF/A-3u.
e_VersionPDFA1bWithoutFBC | PDF/A-1b (without fallback conversion), just only for converting.
e_VersionPDFA2bWithoutFBC | PDF/A-2b (without fallback conversion), just only for converting.
e_VersionPDFA3bWithoutFBC | PDF/A-3b (without fallback conversion), just only for converting.

## Constructor & Destructor Documentation

## ◆ PDFACompliance()

foxit.addon.compliance.PDFACompliance.PDFACompliance | ( | PDFACompliance | other | ) |
| inline

Constructor, with another PDF/A compliance object.

Parameters

  [in] | other | Another PDF/A compliance object.

## Member Function Documentation

## ◆ ConvertPDFFile() [1/2]

ResultInformation foxit.addon.compliance.PDFACompliance.ConvertPDFFile | ( | string | src_pdf_path,
|  | string | saved_pdf_path,
|  | PDFACompliance.Version | convert_to_version,
|  | ProgressCallback | progress_callback
| ) |  |
| inline

Convert a PDF file with specified PDF/A version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/A version to convert. Please refer to values starting from foxit.addon.compliance.PDFACompliance.Version.e_VersionPDFA1a and this should be one of these values.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.

## ◆ ConvertPDFFile() [2/2]

ResultInformation foxit.addon.compliance.PDFACompliance.ConvertPDFFile | ( | string | src_pdf_path,
|  | string | saved_pdf_path,
|  | PDFACompliance.Version | convert_to_version,
|  | ComplianceEngine.ViewOrPrintCondition | view_or_print_condition,
|  | bool | convert_problem_pages_into_image,
|  | bool | convert_all_pages_into_image,
|  | int | image_resolution,
|  | ProgressCallback | progress_callback
| ) |  |
| inline

Convert a PDF file with specified PDF/A version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/A version to convert. Please refer to values starting from foxit.addon.compliance.PDFACompliance.Version.e_VersionPDFA1a and this should be one of these values.
  [in] | view_or_print_condition | Viewing or printing condition. Please refer to values starting from foxit.addon.compliance.ComplianceEngine.ViewOrPrintCondition.e_ViewOrPrintConditionAuto and this should be one of these values.
  [in] | image_resolution | Resolution (PPI) for converted images.Valid range: 60-1200. Only effective if convert_to_version is not foxit.addon.compliance.PDFACompliance.Version.e_VersionPDFA1a , foxit.addon.compliance.PDFACompliance.Version.e_VersionPDFA2a and foxit.addon.compliance.PDFACompliance.Version.e_VersionPDFA3a .
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.

## ◆ IsEmpty()

bool foxit.addon.compliance.PDFACompliance.IsEmpty | ( |  | ) |
| inline

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Verify()

ResultInformation foxit.addon.compliance.PDFACompliance.Verify | ( | PDFACompliance.Version | verify_version,
|  | string | src_pdf_path,
|  | int | first_page_index,
|  | int | last_page_index,
|  | ProgressCallback | progress_callback
| ) |  |
| inline

Verify a PDF file with specified PDF/A version.

Parameters

  [in] | verify_version | PDF/A version to verify. Please refer to values starting from foxit.addon.compliance.PDFACompliance.Version.e_VersionPDFA1a and this should be one of these values.
  [in] | src_pdf_path | A complete path of source PDF file to be verified. This should not be an empty string.
  [in] | first_page_index | Index of the first page to be verified, staring from 0. Default value: 0.
  [in] | last_page_index | Index of the last page to be verified. If this is -1, that means all the pages of the source PDF file will be verified(ignores first_page_index). Default value: -1.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.